deprecations:
  - feature_name: "Auto DevOps' default PostgreSQL due to change"
    due: May 22, 2020
    reporter: danielgruesso
    description: |
      As part of updating Auto DevOps to support Kubernetes 1.16, we added the opt-in ability for
      Auto DevOps to use the PostgreSQL chart version 8.2.1 in GitLab 12.9. The default PostgreSQL
      chart version is currently 0.7.1. In GitLab 13.0, we plan to switch the default PostgreSQL
      chart version from 0.7.1 to 8.2.1. To remain on the old default, you will need to explicitly
      set the `AUTO_DEVOPS_POSTGRES_CHANNEL` CI variable to `1`.
      To migrate your existing 0.7.1 PostgreSQL database to the newer 8.2.1-based
      database, follow the [upgrade guide](https://docs.gitlab.com/ee/topics/autodevops/upgrading_postgresql.html)
      in order to backup your database, install the new version of PostgreSQL, and restore your database.
